private void btnDrawShapes_Click(object sender, EventArgs e) { Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor; PromptPointResult result; using (EditorUserInteraction UI = ed.StartUserInteraction(this)) { result = ed.GetPoint("Açılım şablonun çizileceği yer: "); } if (result.Status == PromptStatus.OK) { DWGUtility.DrawShape(GetSelected(), result.Value, 75); MessageBox.Show("Açılımı şablon çerçevesi içine çizin ve tekrar bu diyalog kutusuna dönüp çizimden al düğmesini tıklayın." + Environment.NewLine + "Çizimden alırken poz şeklini çerçevesi ile birlikte seçin.", "RebarPos", MessageBoxButtons.OK, MessageBoxIcon.Information); } SetShape(); }
public void CMD_DumpShapes() { Autodesk.AutoCAD.EditorInput.Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor; PromptPointResult result = ed.GetPoint("Baz noktası: "); if (result.Status != PromptStatus.OK) { return; } Point3d pt = result.Value; foreach (string name in PosShape.GetAllPosShapes()) { DWGUtility.DrawShape(name, pt, 100); pt = pt.Add(new Vector3d(0, 120, 0)); } }